bitel.billing.server.contract.bean

## Class ContractMemo

- java.lang.Object
- - bitel.billing.server.contract.bean.ContractMemo

- Deprecated.
  use `ContractNote`, `ContractNoteDao` and `ContractNoteService`

      @Deprecated
      public class ContractMemo
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractMemo()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()` Deprecated.
    `int` | `getContractId()` Deprecated.
    `int` | `getId()` Deprecated.
    `java.lang.String` | `getSubject()` Deprecated.
    `java.util.Date` | `getTime()` Deprecated.
    `int` | `getUserId()` Deprecated.
    `boolean` | `isVisibled()` Deprecated.
    `void` | `setComment(java.lang.String comment)` Deprecated.
    `void` | `setContractId(int contractId)` Deprecated.
    `void` | `setId(int id)` Deprecated.
    `void` | `setSubject(java.lang.String subject)` Deprecated.
    `void` | `setTime(java.util.Date time)` Deprecated.
    `void` | `setUserId(int userId)` Deprecated.
    `void` | `setVisibled(boolean visibled)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractMemo

          public ContractMemo()

      Deprecated.

  - ### Method Detail

    - #### getComment

          public java.lang.String getComment()

      Deprecated.

    - #### setComment

          public void setComment(java.lang.String comment)

      Deprecated.

    - #### getId

          public int getId()

      Deprecated.

    - #### setId

          public void setId(int id)

      Deprecated.

    - #### getSubject

          public java.lang.String getSubject()

      Deprecated.

    - #### setSubject

          public void setSubject(java.lang.String subject)

      Deprecated.

    - #### getTime

          public java.util.Date getTime()

      Deprecated.

    - #### setTime

          public void setTime(java.util.Date time)

      Deprecated.

    - #### getUserId

          public int getUserId()

      Deprecated.

    - #### setUserId

          public void setUserId(int userId)

      Deprecated.

    - #### getContractId

          public int getContractId()

      Deprecated.

    - #### setContractId

          public void setContractId(int contractId)

      Deprecated.

    - #### isVisibled

          public boolean isVisibled()

      Deprecated.

    - #### setVisibled

          public void setVisibled(boolean visibled)

      Deprecated.